Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:       nodejs-stack-trace
Version:    0.0.9
Release:    alt1_9
Summary:    Node.js module to get v8 stack traces as an array of CallSite objects
License:    MIT
URL:        https://github.com/felixge/node-stack-trace
Source0:    http://registry.npmjs.org/stack-trace/-/stack-trace-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-v%{version}.tar.bz2
Source10:   dl-tests.sh

# https://github.com/felixge/node-stack-trace/issues/4
Patch0:     %{name}-0.0.9-Remove-failing-test.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
# Not yet packaged for Fedora.
# BuildRequires:  npm(far)
# BuildRequires:  npm(long-stack-traces)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%patch0 -p1
find . -type f -iname '*~' -delete


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stack-trace
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/stack-trace

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
# /usr/bin/npm install far@0.0.3
# /usr/bin/npm install long-stack-traces@0.1.2
./test/run.js
%endif


%files
%doc License Readme.md
%{nodejs_sitelib}/stack-trace


%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.9-alt1_9
- fc update

* Thu Aug 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.7-alt1_1
- fc import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_3
- initial import

